Class Specialization
Namer
Extends the input stream by a second field which names the elements.

Pipe

Namer

Pipe<TInput, Namer<TCompare> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
TCompare | A binary function (see STL's binary_function) with result type int. Remarks: Should return 0 if and only if two elements are equal.

Remarks
The output type is a Pair of input type and size type (i.e. Pair<Value<TInput>::Type, Size<TInput>::Type>).
The first output field is the original input stream.
The second output field is the name. This field begins with 0 and increases by 1 for every distinct element. Two elements gets the same name, if and only if they are equal.
Specialization of
Pipe
Member Functions

Pipe | Constructor
Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51